#define lowp
#define mediump
#define highp
#line 0

uniform lowp float uni_dither_phase;

void main (void) {
	lowp float dither_phase = 0.0;
	dither_phase += 4.0 * mod (gl_FragCoord.y + 0.5, 4.0);
	dither_phase += mod (gl_FragCoord.x + 0.5, 4.0);
	dither_phase = mod (dither_phase, 16.0);
	
	lowp float dither = 1.0;
	if (dither_phase == 0.0 || dither_phase == 10.0) {
		dither = 0.0;
	}
	
	gl_FragColor = vec4 (vec3 (20.0, 12.0, 28.0) / vec3 (255.0), dither);
}
